> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update role on a matter

> Updates a specified role on a matter.



## OpenAPI

````yaml /openapi.json put /matters/{matterId}/roles/{id}
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /matters/{matterId}/roles/{id}:
    put:
      tags:
        - Roles
      summary: Update role on a matter
      description: Updates a specified role on a matter.
      operationId: UpdateRole
      parameters:
        - name: matterId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json-patch+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/RoleDto'
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/RoleDto'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/RoleDto'
      responses:
        '202':
          description: >-
            When request is accepted. Returns a hypermedia 'Link' object of the
            role to be updated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Link'
        '404':
          description: When the specified matter does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    RoleDto:
      type: object
      properties:
        name:
          type: string
          description: Name of the role.
          nullable: true
          example: Provider
        displayName:
          type: string
          description: Display Name of the role.
          nullable: true
          example: Medical Provider
        description:
          type: string
          description: Description of the role.
          nullable: true
          example: Client
        contactId:
          type: string
          description: Unique identifier of the contact.
          nullable: true
          example: c85d28cb-a760-4627-aa59-0a853c2e65ed
        representativeIds:
          type: array
          items:
            type: string
          description: List of associated representative contact ids.
          nullable: true
          example:
            - 776e778f-83df-454a-b344-768a862a7e67
        isMatterItemRequired:
          type: boolean
          description: Boolean flag indicating if matter item is required.
        relationships:
          type: array
          items:
            $ref: '#/components/schemas/RelationshipDto'
          description: List if relationships associated with the role.
          nullable: true
      additionalProperties: false
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    RelationshipDto:
      type: object
      properties:
        name:
          type: string
          description: Name of the relationship.
          nullable: true
          example: Provider
        displayName:
          type: string
          description: Display Name of the relationship.
          nullable: true
          example: Medical Provider
        contactId:
          type: string
          description: Unique identifier of the contact.
          nullable: true
          example: c85d28cb-a760-4627-aa59-0a853c2e65ed
        representativeIds:
          type: array
          items:
            type: string
          description: List of associated representative contact ids.
          nullable: true
          example:
            - 776e778f-83df-454a-b344-768a862a7e67
        isMatterItemRequired:
          type: boolean
          description: Boolean flag indicating if a matter item is required.
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````